2012/1/23 Marius Gedminas <mar...@gedmin.as>:
> On Mon, Jan 23, 2012 at 01:00:02AM +0000, Zope tests summarizer wrote:
>> Non-OK results
>> --------------
>
>> [6]    FAILED  ZTK 1.0 / Python2.4.6 Linux 64bit
>>        https://mail.zope.org/pipermail/zope-tests/2012-January/056532.html
>
> Failure in test test_ErrorLog_unicode 
> (zope.error.tests.ErrorReportingUtilityTests)
> AssertionError: 'Traceback (most recent call last):\n  Module 
> zope.error.tests, line 36, in getAnErrorInfo\n    raise Error(value)\nError: 
> <unprintable instance object>\n'
>            != u'Traceback (most recent call last):\n  Module 
> zope.error.tests, line 36, in getAnErrorInfo\n    raise Error(value)\nError: 
> &lt;unprintable instance object&gt;\n'
>
> so some unexpected HTML-quoting appears.
>
> Reason: http://zope3.pov.lt/trac/changeset/124062
>
> I assume the code is now correct and it is the test that needs to be
> fixed.

Note that this zope.error test fails only on python 2.4 and 2.5, so
there are some quoting differences between them.

>> [7]    FAILED  ZTK 1.0 / Python2.5.5 Linux 64bit
>>        https://mail.zope.org/pipermail/zope-tests/2012-January/056534.html
>
> Same error.
>
>> [8]    FAILED  ZTK 1.0dev / Python2.4.6 Linux 64bit
>>        https://mail.zope.org/pipermail/zope-tests/2012-January/056546.html
>
> Same zope.error error, and then
>
> ZopeXMLConfigurationError: File 
> "/home/ccomb/ztk1.0dev-slave/Python2.4.6-Linux-64bit/build/src/zope.app.generations/src/zope/app/generations/ftesting.zcml",
>  line 13.2-13.47
>    ConfigurationError: ('Invalid value for', 'package', 'ImportError: Module 
> zope.app has no global authentication')
>
>> [9]    FAILED  ZTK 1.0dev / Python2.5.5 Linux 64bit
>>        https://mail.zope.org/pipermail/zope-tests/2012-January/056548.html
>
> Same two errors.
>
>> [10]   FAILED  ZTK 1.0dev / Python2.6.7 Linux 64bit
>>        https://mail.zope.org/pipermail/zope-tests/2012-January/056547.html
>
> Same zope.app.generations failure.

This was caused by my checkin
http://zope3.pov.lt/trac/changeset/124100/zope.app.zcmlfiles

Remove include of zope.app.zopeappgenerations that is not useful unless
upgrading a database older than Zope 3.4. This cuts the last dependency on
zope.app.authentication from the ZTK.

I have now merged a fix to zope.app.generations/branches/3.6 that is
used by ZTK 1.0dev

-- 
Gediminas
_______________________________________________
Zope-Dev maillist  -  Zope-Dev@zope.org
https://mail.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists -
 https://mail.zope.org/mailman/listinfo/zope-announce
 https://mail.zope.org/mailman/listinfo/zope )

Reply via email to